## python-xapian-haystack 2.1.0

=== requirements.txt ===
Django>=1.8
Django-Haystack>=2.5.1

=== debian/changelog ===
python-xapian-haystack (2.1.0-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Michael Fladischer ]
  * Add patch to revert "Removed compatibility argument with pre-2.0
    haystack" commit from upstream (Closes: #951207).
  * Bump Standards-Version to 4.5.0.
  * Set Rules-Requires-Root: no.

 -- Michael Fladischer <fladi@debian.org>  Mon, 24 Feb 2020 22:08:18 +0100

python-xapian-haystack (2.1.0-5) unstable; urgency=medium

  * Team upload.
  * Reupload without binaries to allow migration.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 10 Aug 2019 23:15:29 +0500

python-xapian-haystack (2.1.0-4) unstable; urgency=low

  * Bump debhelper compatibility and version to 12 and switch to
    debhelper-compat.
  * Bump Standards-Version to 4.4.0.
  * Remove Python2 support.

 -- Michael Fladischer <fladi@debian.org>  Fri, 26 Jul 2019 10:34:08 +0200

python-xapian-haystack (2.1.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Refresh patches after git-dpm to gbp pq conversion

  [ Michael Fladischer ]
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.4.
  * Remove X-Python(3)-Version field as it is no longer applicable.
  * Add python(3)-django-haystack to Depends (Closes: #896217, #896333).
  * Enable autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Sun, 06 May 2018 16:15:20 +0200

python-xapian-haystack (2.1.0-2) unstable; urgency=low

  * Add python(3)-xapian to Depends.

 -- Michael Fladischer <fladi@debian.org>  Thu, 06 Apr 2017 09:02:17 +0200

python-xapian-haystack (2.1.0-1) unstable; urgency=low

  * Initial release (Closes: #858216).

 -- Michael Fladischer <fladi@debian.org>  Sun, 19 Mar 2017 20:17:45 +0100

=== debian/control ===
Source: python-xapian-haystack
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.5.0
Homepage: https://github.com/notanumber/xapian-haystack/
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-xapian-haystack
Vcs-Git: https://salsa.debian.org/python-team/modules/python-xapian-haystack.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-xapian-haystack
Architecture: all
Depends:
 python3-django-haystack,
 python3-xapian,
 ${misc:Depends},
 ${python3:Depends},
Enhances:
 python3-django-haystack,
Description: Xapian backend for Django-Haystack (Python3 version)
 Xapian-haystack is a backend of Django-Haystack for the Xapian search engine.
 It provides all the standard features of Haystack:
  * Weighting
  * Faceted search (date, query, etc.)
  * Sorting
  * Spelling suggestions
  * EdgeNGram and Ngram (for autocomplete)
 The endswith search operation is not supported.
 .
 This package contains the Python 3 version of the library.

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/-/./g,\
filenamemangle=s/(?:.*)?(?:rel|v|xapian-haystack)?[\-\_\.]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/python-xapian-haystack-$1.$2/ \
https://github.com/notanumber/xapian-haystack/releases \
(?:.*/)?(?:rel|v|xapian-haystack)?[\-\_\.]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-xapian-haystack 2.1.1

=== debian/changelog ===
python-xapian-haystack (2.1.1-1+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload, to stable.
  * Remove dependency on the django.utils.six module, which no longer exists,
    causing the package to be completely broken. Patch by Ole Peder Brandtzæg,
    based on reducing a patch from upstream. (Closes: #1066136)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 19 Mar 2024 23:35:19 +0100

python-xapian-haystack (2.1.1-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.6.0.1.
  * Use uscan version 4.

 -- Michael Fladischer <fladi@debian.org>  Tue, 19 Oct 2021 20:10:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: python-xapian-haystack
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/notanumber/xapian-haystack/
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-xapian-haystack
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-xapian-haystack.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-xapian-haystack
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-xapian-haystack.git
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=\
 dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/-/./g,\

## python-xapian-haystack 3.1.0

=== requirements.txt ===
Django>=2.2
Django-Haystack>=3.0
filelock>=3.4

=== debian/changelog ===
python-xapian-haystack (3.1.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable, after testing.

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 10 Feb 2025 14:38:38 -0500

python-xapian-haystack (3.1.0-2) experimental; urgency=medium

  * Team upload.
  * Fix crash when processing long strings.
  * Fix module name so autopkgtests (through autodep8) works.

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 06 Feb 2025 17:33:17 -0500

python-xapian-haystack (3.1.0-1) unstable; urgency=low

  * New upstream version 3.1.0
  * Use github tags instead of releases for d/watch.
  * Drop patches, fixed by upstream.
  * Bump Standards-Version to 4.6.2.
  * Update year in d/copyright.
  * Build using pybuild-plugin-pyproject and dh-sequence-python3.
  * Add patch to replace distutils with setuptools in preparation for Python
    3.12.

 -- Michael Fladischer <fladi@debian.org>  Fri, 29 Dec 2023 22:23:33 +0000

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/notanumber/xapian-haystack/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-xapian-haystack
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-xapian-haystack.git
-Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: python3-xapian-haystack

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/-/./g,\
filenamemangle=s/(?:.*)?(?:rel|v|xapian-haystack)?[\-\_\.]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/python-xapian-haystack-$1.$2/ \
https://github.com/notanumber/xapian-haystack/tags \
(?:.*/)?(?:rel|v|xapian-haystack)?[\-\_\.]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
